---
title: llarp::net::IPPacket::GetNow

---

# llarp::net::IPPacket::GetNow





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[GetNow](Classes/structllarp_1_1net_1_1IPPacket_1_1GetNow.md#function-getnow)**(EventLoop_ptr evloop) |
| llarp_time_t | **[operator()](Classes/structllarp_1_1net_1_1IPPacket_1_1GetNow.md#function-operator())**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| EventLoop_ptr | **[loop](Classes/structllarp_1_1net_1_1IPPacket_1_1GetNow.md#variable-loop)**  |

## Public Functions Documentation

### function GetNow

```cpp
inline GetNow(
    EventLoop_ptr evloop
)
```


### function operator()

```cpp
inline llarp_time_t operator()() const
```


## Public Attributes Documentation

### variable loop

```cpp
EventLoop_ptr loop;
```


-------------------------------

Updated on 2022-04-18 at 19:54:45 +0000